Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82999 - Missing build dependece in compat-gcc
Summary: Missing build dependece in compat-gcc
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: compat-gcc
Version: 8.0
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-29 13:34 UTC by Matteo Corti
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-17 14:45:30 UTC


Attachments (Terms of Use)

Description Matteo Corti 2003-01-29 13:34:01 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2) Gecko/20021202

Description of problem:
Building the src for compat-gcc needs libelf-devel which is not inlcuded in the
dependency list.

The spec file should contain:

BuildRequires: libelf-devel

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Remove libelf-devel (if necessary)
2. Install the SRPM for compat-gcc
3. rpmbuild -bb /usr/src/redhat/SPECS/compat-gcc.spec
    

Actual Results:  Compile error (missing lib)

Expected Results:  Rpmbuild error complaining about the missing package

Additional info:

Comment 1 Jakub Jelinek 2003-02-17 14:45:30 UTC
Should be fixed in rawhide.


Note You need to log in before you can comment on or make changes to this bug.